Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt
Interface XT

    public interface XT

Method Summary
`void` | `addMFLDocument(URL mflURI)` Deprecated.
`void` | `addMFLDocument(URL mflURI, InputSource mflInput)` Deprecated.
`void` | `addMFLDocument(URL mflURI, InputStream mflInput)` Deprecated.
`void` | `addMFLDocument(URL mflURI, Reader mflInput)`
`void` | `addStylesheet(URL stylesheetURI)` Deprecated.
`void` | `addStylesheet(URL stylesheetURI, InputSource stylesheetInput)` Deprecated.
`void` | `clearMFLCache()`
`void` | `init(Properties properties)` Deprecated.
`void` | `init(String filename)` Deprecated.
`Document` | `parse(URL mflURI, InputStream binaryInput, PrintWriter debug)` Deprecated.
`Document` | `parse(URL mflURI, InputStream binaryInput, String dtdSystemId, PrintWriter debug)` Deprecated.
`Document` | `parse(URL mflURI, InputStream binaryInput, String defaultNamespace, String schemaLocation, PrintWriter debug)` Deprecated.
`void` | `reinit(Properties properties)` Deprecated.
`void` | `reinitStylesheet(URL stylesheetURI)` Deprecated.
`void` | `serialize(URL mflURI, Document document, OutputStream binaryOutput, PrintWriter debug)` Deprecated.
`void` | `serialize(URL mflURI, InputSource xmlInput, OutputStream binaryOutput)` Deprecated.
`void` | `serialize(URL mflURI, InputSource xmlInput, OutputStream binaryOutput, PrintWriter debug)` Deprecated.
`void` | `serialize(URL mflURI, InputStream xmlInput, OutputStream binaryOutput)` Deprecated.
`void` | `serialize(URL mflURI, InputStream xmlInput, OutputStream binaryOutput, PrintWriter debug)` Deprecated.
`void` | `transform(Document document, OutputStream out, URL stylesheetURI)` Deprecated.
`Document` | `transform(Document document, URL stylesheetURI)` Deprecated.
`void` | `transform(InputSource xmlInput, OutputStream out, URL stylesheetURI)` Deprecated.
`Document` | `transform(InputSource xmlInput, URL stylesheetURI)` Deprecated.

Method Detail

### init

    void init(Properties properties)
              throws Exception

  Deprecated.

  Initialize the WLXT with a Properties object.

  Parameters:
    `properties` - Properties object containing the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'.
  Throws:
    `WLXTException` - If an error occurs accessing a specified stylesheet or MFL document.
    `Exception`
  See Also:
    `Properties`

### init

    void init(String filename)
              throws Exception

  Deprecated.

  Initialize WLXT with a Properties file. The properties file should contain the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'. The stylesheets listed in the 'WLXT.stylesheets' property are precompiled and cached internally. The MFL documents listed in the 'WLXT.MFLDocument' property are also precompiled and cached internally.

  Parameters:
    `filename` - The name of the properties file
  Throws:
    `WLXTException` - If an error occurs accessing a specified stylesheet or MFL document.
    `Exception`

### reinitStylesheet

    void reinitStylesheet(URL stylesheetURI)
                          throws Exception

  Deprecated.

  Reinitialize a single stylesheet. This method causes the specified stylesheet to be reloaded into the cache.

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
  Throws:
    `WLXTException` - If an error occurs accessing the specified stylesheet.
    `Exception`
  See Also:
    `URL`

### reinit

    void reinit(Properties properties)
                throws Exception

  Deprecated.

  Reinitialize the entire cache. This method causes all stylesheets and MFL documents to be reloaded into the cache. The properties object should contain the property 'WLXT.stylesheets' and/or 'WLXT.MFLDocuments'.

  Parameters:
    `properties` - Properties object containing the property WLXT.stylesheets and/or WLXT.MFLDocuments
  Throws:
    `WLXTException` - If an error occurs accessing a specified stylesheet or MFL document.
    `Exception`

### addStylesheet

    void addStylesheet(URL stylesheetURI)
                       throws Exception

  Deprecated.

  Add a single stylesheet to the cache. This method causes the specified stylesheet to be added into the XSLTWrapper object's cache.

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
  Throws:
    `WLXTException` - If an error occurs accessing the specified stylesheet.
    `Exception`
  See Also:
    `URL`

### addStylesheet

    void addStylesheet(URL stylesheetURI,
                       InputSource stylesheetInput)
                       throws Exception

  Deprecated.

  Add a single stylesheet to the cache. The user can supply the InputSource for the content of the stylesheet. This method causes the specified stylesheet to be added into the XSLTWrapper object's cache.

  Parameters:
    `stylesheetURI` - The unique resource identifier for the stylesheet
    `stylesheetInput` - The InputSource for the stylesheet
  Throws:
    `WLXTException` - If an error occurs accessing the specified stylesheet.
    `Exception`
  See Also:
    `URL`

### addMFLDocument

    void addMFLDocument(URL mflURI)
                        throws Exception

  Deprecated.

  Add a MFL document to the cache. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
  Throws:
    `WLXTException` - If an error occurs accessing the specified MFL document.
    `Exception`
  See Also:
    `URL`

### addMFLDocument

    void addMFLDocument(URL mflURI,
                        InputSource mflInput)
                        throws Exception

  Deprecated.

  Add a MFL document to the cache. The user can supply the InputSource for the content of the MFL document. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
    `mflInput` - The InputSource for the content of the MFL document
  Throws:
    `WLXTException` - If an error occurs accessing the specified MFL document.
    `Exception`
  See Also:
    `URL`

### addMFLDocument

    void addMFLDocument(URL mflURI,
                        InputStream mflInput)
                        throws Exception

  Deprecated.

  Add a MFL document to the cache. The user can supply the InputSource for the content of the MFL document. This method causes the specified MFL document to be parsed and added to the WLXT object's cache. If a MFL Document has previously been added using this URI, the previous document is replaced.

  Parameters:
    `mflURI` - The unique resource identifier for the MFL document
    `mflInput` - The InputSource for the content of the MFL document
  Throws:
    `WLXTException` - If an error occurs accessing the specified MFL document.
    `Exception`
  See Also:
    `URL`

### addMFLDocument

    void addMFLDocument(URL mflURI,
                        Reader mflInput)
                        throws Exception

  Throws:
    `Exception`

### clearMFLCache

    void clearMFLCache()

### parse

    Document parse(URL mflURI,
                   InputStream binaryInput,
                   PrintWriter debug)
                   throws Exception

  Deprecated.

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  No DTD or schema reference is output in the resulting XML.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    `WLXTException` - If an error occurs converting the binary data to XML
    `Exception`

### parse

    Document parse(URL mflURI,
                   InputStream binaryInput,
                   String dtdSystemId,
                   PrintWriter debug)
                   throws Exception

  Deprecated.

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  This method has a system id parameter that allows the user to specify the document type definition for the doctype element of the resulting XML.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `dtdSystemId` - The system id of the Document Type Definition. This id will be output in the DOCTYPE element of the resulting XML.
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    `WLXTException` - If an error occurs converting the binary data to XML
    `Exception`

### parse

    Document parse(URL mflURI,
                   InputStream binaryInput,
                   String defaultNamespace,
                   String schemaLocation,
                   PrintWriter debug)
                   throws Exception

  Deprecated.

  Parse binary data given in binaryInput argument using the MFL document specified by mflURI. The resulting DOM object is returned to the caller.

  This method has default namespace parameter that causes the resulting XML to output a default namespace in the root node of the document. This method also has a schema location parameter cause the resulting XML to reference a schema as its content model.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to parse binary data
    `binaryInput` - InputStream of binary data that should be converted to XML
    `defaultNamespace` - can be null, if not null causes a default namespace to be declared in the root node of the resulting XML
    `schemaLocation` - causes a reference to the specified schema to be output in the root node of the resulting XML
    `debug` - PrintWriter to be used to display parse debug information. May be null to disable debug information.
  Throws:
    `WLXTException` - If an error occurs converting the binary data to XML
    `Exception`

### serialize

    void serialize(URL mflURI,
                   Document document,
                   OutputStream binaryOutput,
                   PrintWriter debug)
                   throws Exception

  Deprecated.

  Serialize the XML data (given in document argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `document` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    `WLXTException` - If an error occurs converting the XML data to the binary format
    `Exception`

### serialize

    void serialize(URL mflURI,
                   InputStream xmlInput,
                   OutputStream binaryOutput)
                   throws Exception

  Deprecated.

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
  Throws:
    `WLXTException` - If an error occurs converting the XML data to the binary format
    `Exception`

### serialize

    void serialize(URL mflURI,
                   InputSource xmlInput,
                   OutputStream binaryOutput)
                   throws Exception

  Deprecated.

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
  Throws:
    `WLXTException` - If an error occurs converting the XML data to the binary format
    `Exception`

### serialize

    void serialize(URL mflURI,
                   InputStream xmlInput,
                   OutputStream binaryOutput,
                   PrintWriter debug)
                   throws Exception

  Deprecated.

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    `WLXTException` - If an error occurs converting the XML data to the binary format
    `Exception`

### serialize

    void serialize(URL mflURI,
                   InputSource xmlInput,
                   OutputStream binaryOutput,
                   PrintWriter debug)
                   throws Exception

  Deprecated.

  Serialize the XML data (given in xmlInput argument) to the binary format specified by the MFL document (mflURI). Each node of XML data is converted to the binary format specified by the MFL FieldFormat of the identical name. The order and grouping of the XML nodes must match the order and sequence specified in the MFL document.

  If the MFL document is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `mflURI` - URL to MFL document that should be used to convert the XML data to the binary format
    `xmlInput` - XML data that is to be converted to a binary format
    `binaryOutput` - OutputStream that is to contain the binary data
    `debug` - PrintWriter to be used to display (or log) debug information. May be null to disable debug information.
  Throws:
    `WLXTException` - If an error occurs converting the XML data to the binary format
    `Exception`

### transform

    void transform(InputSource xmlInput,
                   OutputStream out,
                   URL stylesheetURI)
                   throws Exception

  Deprecated.

  Perform an XSLT transformation on the XML input argument using the specified stylesheet. The result of the transformation is written to the output stream parameter. If the stylesheet is not found in the cache, then it will be automatically processed and added to the cache.

  Parameters:
    `xmlInput` - XML input to XSLT transformation
    `out` - Output stream where the result of transformation is written.
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    `WLXTException` - If an error occurs performing the XSLT transformation
    `Exception`
  See Also:
    `InputSource`, `URL`

### transform

    void transform(Document document,
                   OutputStream out,
                   URL stylesheetURI)
                   throws Exception

  Deprecated.

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is put in the result parameter.

  Parameters:
    `document` - DOM Document object to be transformed
    `out` - Output stream where the result of transformation is written.
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Throws:
    `WLXTException` - If an error occurs performing the XSLT transformation
    `Exception`
  See Also:
    `Document`, `URL`

### transform

    Document transform(InputSource xmlInput,
                       URL stylesheetURI)
                       throws Exception

  Deprecated.

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is returned.

  Parameters:
    `xmlInput` - XML input to XSLT transformation
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Returns:
    document DOM Document object that results from transformation
  Throws:
    `WLXTException` - If an error occurs performing the XSLT transformation
    `Exception`
  See Also:
    `Document`, `URL`

### transform

    Document transform(Document document,
                       URL stylesheetURI)
                       throws Exception

  Deprecated.

  Perform an XSLT transformation on the document argument using the specified stylesheet. The result of the transformation is returned.

  Parameters:
    `document` - DOM Document object to be transformed
    `stylesheetURI` - The unique resource identifier for the stylesheet to use for the transformation
  Returns:
    document DOM Document object that results from transformation
  Throws:
    `WLXTException` - If an error occurs performing the XSLT transformation
    `Exception`
  See Also:
    `Document`, `URL`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD